Tryton - Issues

 

Issue8571

Title In wizards you sometime want to skip the validation of the form
Priority feature Status resolved
Superseder Nosy List nicoe, reviewbot, roundup-bot
Type Components sao, tryton, trytond
Assigned To nicoe Keywords review
Reviews 260041002, 276391003, 252731002
View: 260041002, 276391003, 252731002

Created on 2019-08-13.18:01:03 by nicoe, last changed by roundup-bot.

Messages
New changeset 71dc6bdf6c66 by Cédric Krier in branch 'default':
Stop processing response when record is not valid
https://hg.tryton.org/tryton-env/rev/71dc6bdf6c66
New changeset df8c56819365 by Cédric Krier in branch 'default':
Stop processing response when record is not valid
https://hg.tryton.org/sao/rev/df8c56819365
New review252731002 at https://codereview.tryton.org/252731002/#ps268571002
New changeset 4b77e9eb1759 by Nicolas ?vrard in branch 'default':
Update tests to include check on 'validate' key
https://hg.tryton.org/tryton-env/rev/4b77e9eb1759
New changeset 68014b3a6504 by Nicolas ?vrard in branch 'default':
Update tests to include check on 'validate' key
https://hg.tryton.org/trytond/rev/68014b3a6504
New review276391003 at https://codereview.tryton.org/276391003/#ps276401002
New changeset 4ec1f1514dbc by Nicolas ?vrard in branch 'default':
Add validate information on wizard Button
https://hg.tryton.org/tryton-env/rev/4ec1f1514dbc
New changeset ff0d4bc1ac90 by Nicolas ?vrard in branch 'default':
Add validate information on wizard Button
https://hg.tryton.org/trytond/rev/ff0d4bc1ac90
New changeset 28c690e2b22d by Nicolas ?vrard in branch 'default':
Add validate information on wizard Button
https://hg.tryton.org/tryton/rev/28c690e2b22d
New changeset 15c499b95290 by Nicolas ?vrard in branch 'default':
Add validate information on wizard Button
https://hg.tryton.org/sao/rev/15c499b95290
review260041002 updated at https://codereview.tryton.org/260041002/#ps278201006
review260041002 updated at https://codereview.tryton.org/260041002/#ps266341004
review260041002 updated at https://codereview.tryton.org/260041002/#ps268451003
review260041002 updated at https://codereview.tryton.org/260041002/#ps272471002
review260041002 updated at https://codereview.tryton.org/260041002/#ps265911002
review260041002 updated at https://codereview.tryton.org/260041002/#ps249771002
review260041002 updated at https://codereview.tryton.org/260041002/#ps273821002
New review260041002 at https://codereview.tryton.org/260041002/#ps277691003
msg51277 (view) Author: [hidden] (nicoe) (Tryton committer) Date: 2019-08-13.18:01:02
In wizards one can define some fields to be required and at the same time give the opportunity to the user to skip this step.

Adding the information about the need of validation of the form on the wizard buttons should allow to build such wizards
History
Date User Action Args
2019-12-05 21:49:37roundup-botsetmessages: + msg54307
2019-12-05 21:49:31roundup-botsetstatus: chatting -> resolved
messages: + msg54305
2019-12-02 12:07:04reviewbotsetstatus: resolved -> chatting
messages: + msg53785
2019-12-02 12:07:04reviewbotsetreviews: 260041002, 276391003 -> 260041002, 276391003, 252731002
2019-11-22 14:46:14roundup-botsetmessages: + msg53422
2019-11-22 14:42:43roundup-botsetstatus: chatting -> resolved
messages: + msg53421
2019-11-22 10:00:23cedlinkissue6920 superseder
2019-11-21 18:39:33reviewbotsetstatus: resolved -> chatting
messages: + msg53402
2019-11-21 18:39:33reviewbotsetreviews: 260041002 -> 260041002, 276391003
2019-11-21 15:40:26roundup-botsetmessages: + msg53391

Showing 10 items. Show all history (warning: this could be VERY long)